System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.PeerResolvers.IPeerResolverContract System.ServiceModel.ServiceBehavior(ConcurrencyMode=System.ServiceModel.ConcurrencyMode.Multiple, InstanceContextMode=System.ServiceModel.InstanceContextMode.Single, UseSynchronizationContext=false)

The class defines the base implementation of a custom peer resolver service and provides lookup for the resolution of registration IDs to peer endpoint addresses within the mesh maintained by this resolver.

Provides a basic implementation of a custom peer resolver service.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new default instance of the class.

- Property
  4.0.0.0
  System.TimeSpan To be added.

  This property must be set before the peer resolver service has been and must not be zero. The default interval is 1 minute.

  This value must be less than the value of to avoid the occurrence of stale entries in the peer resolver service's registration lookup table.

  Gets or sets the recurring length of time after which stale entries are deleted from the peer resolver service's registration lookup table.

- Method
  4.0.0.0
  System.Void To be added.

  Closes the peer resolver service.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets whether referrals are shared by the peer resolver service.

- Method
  4.0.0.0
  System.ServiceModel.PeerResolvers.ServiceSettingsResponseInfo To be added.

  Obtains the specific response settings for the peer resolver service.

  that contains the specific response settings for the custom peer resolver service, including cleanup and refresh interval settings.

- Method
  4.0.0.0
  System.Void

  When this method is called, it schedules the first registration lookup table cleanup based on the value set for the property.

  Opens the peer resolver service.

- Method
  4.0.0.0
  System.ServiceModel.PeerResolvers.RefreshResponseInfo ``

  A refresh of an entry extends the length of time for which it remains valid. All information used to uniquely identify the entry must be supplied in the object supplied to this method.

  Refreshes the expiry of an entry in the peer resolver service's registration lookup table.

  that contains the newly refreshed registration entry.

  object that contains the mesh ID and the registration ID of the entry to refresh in the peer resolver service's registration lookup table.
- Property
  4.0.0.0
  System.TimeSpan To be added.

  This property must be set before the peer resolver service has been and must not be zero. The default interval is 2 minutes.

  When the amount of time supplied to this property has passed for a given entry in a peer resolver service's registration lookup table, that entry is marked for deletion. The delete occurs when interval specified in the property occurs. For example, if this property is set to a timespan of 10 minutes, entries in the registration lookup table will become stale and marked for deletion after the interval has passed. As a result, the peer resolver client must update every ten minutes to avoid having their entry deleted.

  Gets or sets the length of time that entries remain valid in a peer resolver service's registration lookup table.

- Method
  4.0.0.0
  System.ServiceModel.PeerResolvers.RegisterResponseInfo ``

  This method adds a new entry to the registration lookup table of the peer resolver service. Note that registrations made after the service is closed have no effect -- these entries are not returned by resolve requests.

  Adds a new entry to the registration lookup table of the peer resolver service.

  that contains a copy of the entry added to the peer resolver service's registration lookup table.

  that contains information about the registration entry to register with the peer resolver service.
- Method
  4.0.0.0
  System.ServiceModel.PeerResolvers.RegisterResponseInfo `` `` `` To be added.

  Adds a new entry to the registration lookup table of the peer resolver service.

  A that contains a copy of the entry added to the peer resolver service's registration lookup table.

  A that specifies a unique identifier for the registration entry to register with the resolver service. A that specifies the mesh ID of the peer mesh in which the registration entry participates. A that contains the endpoint address of the registration entry.
- Method
  4.0.0.0
  System.ServiceModel.PeerResolvers.ResolveResponseInfo ``

  This method looks up a registration entry based on the data supplied in a object and returns any corresponding endpoint addresses found in the peer resolver service's registration lookup table. The number of endpoint addresses returned is equal to or less than the value of the property set on the object.

  Returns a list of known endpoints for a registration entry.

  that contains the endpoints for the registration entry in the lookup table that matches the information supplied in the parameter.

  that contains information on the registration entry for which endpoints, if known, are to be looked up by the peer resolver service.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes a specific entry from the registration lookup table of the peer resolver service.

  that contains the information used to uniquely identify the registration entry to remove from the registration lookup table.
- Method
  4.0.0.0
  System.ServiceModel.PeerResolvers.RegisterResponseInfo `` To be added.

  Updates an existing registration entry entry in the registration lookup table of the peer resolver service.

  that contains a copy of the updated registration entry entry.

  that uniquely identifies a specific registration entry and provides updated information for it.